Bug 237266 - Diff view between local/detachable storages & media players
Summary: Diff view between local/detachable storages & media players
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Collections/Media Devices (show other bugs)
Version: unspecified
Platform: Debian testing Unspecified
: NOR wishlist (vote)
Target Milestone: 2.7
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-11 17:47 UTC by Richard Hartmann
Modified: 2012-11-21 23:18 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.7


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Richard Hartmann 2010-05-11 17:47:43 UTC
Version:            (using KDE 4.4.3)
Installed from:    Debian testing/unstable Packages

Closely related to https://bugs.kde.org/show_bug.cgi?id=237155 and especially https://bugs.kde.org/show_bug.cgi?id=237263 I would love to be able to have a midnight commander-esqu view of my media collection so that I can easily see what differs between two given storages.

That way, I could sync collections and/or media players a _lot_ easier.

With large collections, this might become cumbersome, but I hope someone will have a good idea on how to manage that. Maybe even myself :p
Comment 2 Sven Krohlas 2010-05-11 18:15:56 UTC
Iirc Max is working on a syncing framework, but I have no idea about its status.
Comment 3 Matěj Laitl 2012-08-20 20:00:43 UTC
This functionality will be implemented by the StatSyncing framework as soon as I add drag support to "Unique Tracks" view there. See http://strohel.blogspot.com/search/label/gsoc
Comment 4 Matěj Laitl 2012-11-21 23:18:59 UTC
Git commit bbfe9152b24144626ff668656a4c61881a0181ea by Matěj Laitl.
Committed on 12/10/2012 at 01:26.
Pushed by laitl into branch 'master'.

StatSyncing: MatchedTracksPage: support drag in Unique and Excluded View

This effectively means that you can make a "diff" between 2 collections
and then drag the tracks missing from one collection to another and
vice-versa, solving bug 237266.
FIXED-IN: 2.7

M  +7    -0    src/statsyncing/Track.cpp
M  +15   -0    src/statsyncing/Track.h
M  +6    -0    src/statsyncing/collection/CollectionTrack.cpp
M  +1    -0    src/statsyncing/collection/CollectionTrack.h
M  +35   -0    src/statsyncing/models/SingleTracksModel.cpp
M  +5    -0    src/statsyncing/models/SingleTracksModel.h
M  +12   -0    src/statsyncing/ui/MatchedTracksPage.ui

http://commits.kde.org/amarok/bbfe9152b24144626ff668656a4c61881a0181ea